Loading...
Searching...
No Matches
gridfire::PrimingReport Struct Reference

Captures the result of a network priming operation. More...

`#include <reporting.h>`

Collaboration diagram for gridfire::PrimingReport:
[legend]

## Public Attributes

fourdst::composition::Composition | primedComposition
std::vector< std::pair< fourdst::atomic::Species, double > > | massFractionChanges
bool | success
PrimingReportStatus | status

## Friends

std::ostream & | operator<< (std::ostream &os, const PrimingReport &report)
| Serialize the report to a stream.

## Detailed Description

Captures the result of a network priming operation.

Contains the finalized composition, the changes in mass fractions for species, a success flag, and a detailed status code.

Precondition
  A priming algorithm must be executed before constructing a valid report.

Postcondition
  All fields reflect the outcome of the priming run.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PrimingReport & | report )

friend

Serialize the report to a stream.

Formats the success flag and status string into the output stream.

Parameters

  os | Output stream to write to.
  report | Report to serialize.

Returns
  Reference to the modified output stream.

Postcondition
  The stream contains a textual representation of the report.

## Member Data Documentation

## massFractionChanges

std::vector<std::pair<fourdst::atomic::Species, double> > gridfire::PrimingReport::massFractionChanges

List of pairs (species, rate change) representing destruction (<0) or creation (>0) rates of species during priming.

## primedComposition

fourdst::composition::Composition gridfire::PrimingReport::primedComposition

Finalized composition after priming.

## status

PrimingReportStatus gridfire::PrimingReport::status

Detailed status code indicating the result.

## success

bool gridfire::PrimingReport::success

True if priming completed without error.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/types/reporting.h